---
title:  "Overview of Flink System Architecture & Internals"
---

This documentation provides an overview of the architecture of the Flink system
and its components. It is intended as guide to contributors, and people
that are interested in the technology behind Flink.

*This documentation is maintained by the contributors of the individual components.
We kindly ask anyone that adds and changes components to eventually provide a patch
or pull request that updates these documents as well.*


## Architectures and Components

- [General Architecture and Process Model](internal_general_arch.html)

<!--
- [Life Cycle of a Program](program_life_cycle.html)

- [Jobs and Scheduling](job_scheduling.html)

- [Distributed Runtime](distributed_runtime.html)

- [Runtime Algorithms and Memory Management](operators_and_memory.html)

- [Program Optimizer](optimizer.html)
-->

- [How-to: Adding a new Operator](internal_add_operator.html)

<!--
- [Java API, Types, and Type Extraction](types.html)
-->

<!--
- [RPC and JobManager Communication](rpc_transfer.html)
-->

- [How-to: Using logging in Flink](internal_logging.html)